Page MenuHomePhabricator

copies-rust: remove the ancestor Oracle logic
ClosedPublic

Authored by marmoute on Dec 21 2020, 5:28 PM.

Details

Summary

We are not doing any is_ancestor call anymore. So we can drop that logic and
associated arguments.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 21 2020, 5:28 PM
pulkit accepted this revision.Dec 22 2020, 9:14 AM
This revision is now accepted and ready to land.Dec 22 2020, 9:14 AM
marmoute updated this revision to Diff 24484.Dec 22 2020, 9:11 PM
baymax updated this revision to Diff 24509.Dec 23 2020, 3:50 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24579.Jan 5 2021, 3:52 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24601.Jan 5 2021, 9:17 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jan 8 2021, 8:16 AM
Alphare added a subscriber: Alphare.

Finally!

baymax updated this revision to Diff 24642.Jan 8 2021, 10:26 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25690.Mon, Feb 22, 9:04 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25749.Mon, Feb 22, 11:17 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25784.Mon, Feb 22, 3:16 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.